Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface ProfileManager

    public interface ProfileManager

Interface `ProfileManager` is used to manage the profiles. Profile is predefined for users to specify available functions. A profile defines a set of functions which will be available for end-users when opening a report. Only administrator can add/remove/update profiles.

Since:
  version 8.1

Field Summary
`static java.lang.String` | `TYPE_DASHBOARD` profile type is dashboard
`static java.lang.String` | `TYPE_DHTML` profile type is DHTML
`static java.lang.String` | `TYPE_STUDIO` profile type is studio

Method Summary
`void` | `addProfile(java.lang.String profileName, java.util.Properties profile, java.lang.String submitter)` Adds a DHTML profile, using the specified profile name.
`void` | `addProfile(java.lang.String profileType, java.lang.String profileName, java.util.Properties profile, java.lang.String submitter)` Adds a profile, using the specified profile name.
`java.lang.String[]` | `getAllProfileNames()` Gets all predefined DHTML profile names.
`java.lang.String[]` | `getAllProfileNames(java.lang.String profileType)` Gets all predefined profile names.
`java.util.Properties` | `getDefaultProfile()` Gets built-in default DHTML profile, which contains full functions.
`java.util.Properties` | `getDefaultProfile(java.lang.String profileType)` Gets built-in default profile, which contains full functions.
`java.util.Properties` | `getProfile(java.lang.String profileName)` Gets a profile by the specified DHTML profile name.
`java.util.Properties` | `getProfile(java.lang.String profileType, java.lang.String profileName)` Gets a profile by the specified profile name.
`void` | `removeProfile(java.lang.String profileName, java.lang.String submitter)` Removes the specified DHTML profile.
`void` | `removeProfile(java.lang.String profileType, java.lang.String profileName, java.lang.String submitter)` Removes the specified profile.
`void` | `updateProfile(java.lang.String profileName, java.util.Properties profile, java.lang.String submitter)` Updates a DHTML profile using specified properties.
`void` | `updateProfile(java.lang.String profileType, java.lang.String profileName, java.util.Properties profile, java.lang.String submitter)` Updates a profile using specified properties.

Field Detail

### TYPE_DHTML

    static final java.lang.String TYPE_DHTML

  profile type is DHTML

  See Also:
    Constant Field Values

### TYPE_STUDIO

    static final java.lang.String TYPE_STUDIO

  profile type is studio

  See Also:
    Constant Field Values

### TYPE_DASHBOARD

    static final java.lang.String TYPE_DASHBOARD

  profile type is dashboard

  See Also:
    Constant Field Values

Method Detail

### addProfile

    void addProfile(java.lang.String profileName,
                    java.util.Properties profile,
                    java.lang.String submitter)
                    throws RptServerException

  Adds a DHTML profile, using the specified profile name.

  Parameters:
    `profileName` - the specified profile name.
    `prop` - a `Properties` object that contains predefined functions of profile.
    `submitter` - the user who requested the operation. Only administrator has permission to perform it.
  Throws:
    `RptServerException` - if an `RptServerException` occurs.

### addProfile

    void addProfile(java.lang.String profileType,
                    java.lang.String profileName,
                    java.util.Properties profile,
                    java.lang.String submitter)
                    throws RptServerException

  Adds a profile, using the specified profile name.

  Parameters:
    `profileType` - profile type
    `profileName` - the specified profile name.
    `profile` - a `Properties` object that contains predefined functions of profile.
    `submitter` - the user who requested the operation. Only administrator has permission to perform it.
  Throws:
    `RptServerException` - if an `RptServerException` occurs.

### removeProfile

    void removeProfile(java.lang.String profileName,
                       java.lang.String submitter)
                       throws RptServerException

  Removes the specified DHTML profile.

  Parameters:
    `profileName` - the profile name.
    `submitter` - the user who requested the operation. Only administrator has permission to perform it.
  Throws:
    `RptServerException` - if an `RptServerException` occurs.

### removeProfile

    void removeProfile(java.lang.String profileType,
                       java.lang.String profileName,
                       java.lang.String submitter)
                       throws RptServerException

  Removes the specified profile.

  Parameters:
    `profileType` - profile type
    `profileName` - the profile name.
    `submitter` - the user who requested the operation. Only administrator has permission to perform it.
  Throws:
    `RptServerException` - if an `RptServerException` occurs.

### updateProfile

    void updateProfile(java.lang.String profileName,
                       java.util.Properties profile,
                       java.lang.String submitter)
                       throws RptServerException

  Updates a DHTML profile using specified properties.

  Parameters:
    `profileName` - the profile name.
    `profile` - a `Properties` object that contains predefined functions needed to update profile.
    `submitter` - the user who requested the operation, Only administrator has permission to perform it.
  Throws:
    `RptServerException` - if an `RptServerException` occurs.

### updateProfile

    void updateProfile(java.lang.String profileType,
                       java.lang.String profileName,
                       java.util.Properties profile,
                       java.lang.String submitter)
                       throws RptServerException

  Updates a profile using specified properties.

  Parameters:
    `profileType` - profile type
    `profileName` - the profile name.
    `profile` - a `Properties` object that contains predefined functions needed to update profile.
    `submitter` - the user who requested the operation, Only administrator has permission to perform it.
  Throws:
    `RptServerException` - if an `RptServerException` occurs.

### getAllProfileNames

    java.lang.String[] getAllProfileNames()

  Gets all predefined DHTML profile names.

  Returns:
    A `String` array that contains all predefined profile names.

### getAllProfileNames

    java.lang.String[] getAllProfileNames(java.lang.String profileType)

  Gets all predefined profile names.

  Parameters:
    `profileType` - profile type
  Returns:
    A `String` array that contains all predefined profile names.

### getProfile

    java.util.Properties getProfile(java.lang.String profileName)

  Gets a profile by the specified DHTML profile name.

  Parameters:
    `profileName` - the name of the profile.
  Returns:
    A `Properties` object that contains predefined functions of profile.

### getProfile

    java.util.Properties getProfile(java.lang.String profileType,
                                    java.lang.String profileName)

  Gets a profile by the specified profile name.

  Parameters:
    `profileType` - profile type
    `profileName` - the name of the profile.
  Returns:
    A `Properties` object that contains predefined functions of profile.

### getDefaultProfile

    java.util.Properties getDefaultProfile()

  Gets built-in default DHTML profile, which contains full functions.

  Returns:
    A `Properties` object that contains full functions.

### getDefaultProfile

    java.util.Properties getDefaultProfile(java.lang.String profileType)

  Gets built-in default profile, which contains full functions.

  Parameters:
    `profileType` - profile type
  Returns:
    A `Properties` object that contains full functions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD